For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Transactions
      • POSTCreate Transaction
      • GETGet Transaction
      • PATCHUpdate Transaction
LogoLogo
Contact SupportGet Started
API ReferenceTransactions

Get Transaction

GET
/digital-banking/v1/accounts/:account_id/transactions/:transaction_id
GET
/digital-banking/v1/accounts/:account_id/transactions/:transaction_id
$curl https://api.modernfi.com/digital-banking/v1/accounts/account_id/transactions/transaction_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "account_id": "string",
4 "institution_id": "string",
5 "amount": "string",
6 "transacted_at": "string",
7 "transaction_status": "PENDING",
8 "is_interest_payment": true,
9 "transaction_type": "CREDIT",
10 "description": "string",
11 "posted_at": "string",
12 "institution_transaction_id": "string"
13}
Was this page helpful?
Previous

Update Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
transaction_idstringRequiredformat: "uuid"

Response

Successful Response
idstring
account_idstring
institution_idstring
amountstring
transacted_atstring
transaction_statusenum
Allowed values:
is_interest_paymentboolean
transaction_typeenum
Allowed values:
descriptionstring or null
posted_atstring or null
institution_transaction_idstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error